package com.ejie.ab79.model.expedientes;

import java.util.ArrayList;
import java.util.List;

import org.springframework.context.i18n.LocaleContextHolder;

/**
 * RelExpTer  
 * 
 *  
 */

public class RelExpTer implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpTer;
	private DatosTerceros datosTerceros;
	private Integer idExpediente;
	private String usuarioRegistro;
	private String usuarioUltmodificacion;
	private String participantId;
	private TiposTercero tiposTercero;
	private Integer idSubtipoTercero;

	private DatosDirecciones ubicacionDireccionPostal;
	private String tipoParticipanteCastellano;
	private String tipoParticipanteEuskera;
	private List<DatosTerceros> listaDatosTerceros;
	private String tipoParticipacionCastellano;
	private String tipoParticipacionEuskera;
	private String subtipoParticipacionCastellano;
	private String subtipoParticipacionEuskera;
	private Long idTipoParticipacion;
	private Integer idSubtipoParticipacion;
	private SubtipoTercero subtipoTercero;

	private Integer orden;
	private List<DatosTerceros> datosTercerosList = new ArrayList<DatosTerceros>();
	private List<DatosDirecciones> listaDirecciones = new ArrayList<DatosDirecciones>();

	private List<Long> listIdSubtipoTercero;
	private List<String> listParticipantId;

	/**
	 * Method 'RelExpTer'.
	 */
	public RelExpTer() {
	}

	/**
	 * Method 'RelExpTer'.
	 * 
	 * @param idRelExpTer
	 *            Integer
	 */
	public RelExpTer(Integer idRelExpTer) {
		this.idRelExpTer = idRelExpTer;
	}

	/**
	 * Method 'RelExpTer'.
	 * 
	 * @param idRelExpTer
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param idTipoTercero
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param idParticipacion
	 *            String
	 * @param datosTerceros
	 *            DatosTerceros
	 */
	public RelExpTer(Integer idRelExpTer, Integer idExpediente, String participantId, Integer orden,
			String usuarioRegistro, DatosTerceros datosTerceros, TiposTercero tiposTercero) {

		this.idRelExpTer = idRelExpTer;
		this.idExpediente = idExpediente;
		this.participantId = participantId;
		this.orden = orden;
		this.usuarioRegistro = usuarioRegistro;
		this.datosTerceros = datosTerceros;
		this.tiposTercero = tiposTercero;
	}

	/**
	 * Method 'RelExpTer'.
	 * 
	 * @param idRelExpTer
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param idTipoTercero
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param idParticipacion
	 *            String
	 * @param datosTerceros
	 *            DatosTerceros
	 */
	public RelExpTer(Integer idRelExpTer, DatosTerceros datosTerceros) {

		this.idRelExpTer = idRelExpTer;
		this.datosTerceros = datosTerceros;

	}

	/**
	 * Method 'getIdRelExpTer'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpTer() {
		return this.idRelExpTer;
	}

	/**
	 * Method 'setIdRelExpTer'.
	 *
	 * @param idRelExpTer
	 *            Integer
	 * @return
	 */

	public void setIdRelExpTer(Integer idRelExpTer) {
		this.idRelExpTer = idRelExpTer;
	}

	/**
	 * Method 'getDatosTerceros'.
	 *
	 * @return DatosTerceros
	 */

	public DatosTerceros getDatosTerceros() {
		return this.datosTerceros;
	}

	/**
	 * Method 'setDatosTerceros'.
	 *
	 * @param datosTerceros
	 *            DatosTerceros
	 * @return
	 */

	public void setDatosTerceros(DatosTerceros datosTerceros) {
		this.datosTerceros = datosTerceros;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the participantId
	 */
	public String getParticipantId() {
		return participantId;
	}

	/**
	 * @param participantId
	 *            the participantId to set
	 */
	public void setParticipantId(String participantId) {
		this.participantId = participantId;
	}

	/**
	 * @return the tiposTercero
	 */
	public TiposTercero getTiposTercero() {
		return tiposTercero;
	}

	/**
	 * @param tiposTercero
	 *            the tiposTercero to set
	 */
	public void setTiposTercero(TiposTercero tiposTercero) {
		this.tiposTercero = tiposTercero;
	}

	public Integer getIdSubtipoTercero() {
		return idSubtipoTercero;
	}

	public void setIdSubtipoTercero(Integer idSubtipoTercero) {
		this.idSubtipoTercero = idSubtipoTercero;
	}

	/**
	 * @return the datosTercerosList
	 */
	public List<DatosTerceros> getDatosTercerosList() {
		return datosTercerosList;
	}

	/**
	 * @param datosTercerosList
	 *            the datosTercerosList to set
	 */
	public void setDatosTercerosList(List<DatosTerceros> datosTercerosList) {
		this.datosTercerosList = datosTercerosList;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "RelExpTer [idRelExpTer=" + idRelExpTer + ", datosTerceros=" + datosTerceros + ", idExpediente="
				+ idExpediente + ", usuarioRegistro=" + usuarioRegistro + ", participantId=" + participantId
				+ ", tiposTercero=" + tiposTercero + ", datosTercerosList=" + datosTercerosList + "]";
	}

	/**
	 * @return the orden
	 */
	public Integer getOrden() {
		return orden;
	}

	/**
	 * @param orden
	 *            the orden to set
	 */
	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	/**
	 * @return the listaDirecciones
	 */
	public List<DatosDirecciones> getListaDirecciones() {
		return listaDirecciones;
	}

	/**
	 * @param listaDirecciones
	 *            the listaDirecciones to set
	 */
	public void setListaDirecciones(List<DatosDirecciones> listaDirecciones) {
		this.listaDirecciones = listaDirecciones;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public DatosDirecciones getUbicacionDireccionPostal() {
		return ubicacionDireccionPostal;
	}

	public void setUbicacionDireccionPostal(DatosDirecciones ubicacionDireccionPostal) {
		this.ubicacionDireccionPostal = ubicacionDireccionPostal;
	}

	public String getTipoParticipanteCastellano() {
		return tipoParticipanteCastellano;
	}

	public void setTipoParticipanteCastellano(String tipoParticipanteCastellano) {
		this.tipoParticipanteCastellano = tipoParticipanteCastellano;
	}

	public String getTipoParticipanteEuskera() {
		return tipoParticipanteEuskera;
	}

	public void setTipoParticipanteEuskera(String tipoParticipanteEuskera) {
		this.tipoParticipanteEuskera = tipoParticipanteEuskera;
	}

	public String getTipoParticipante() {
		String idioma = LocaleContextHolder.getLocale().getLanguage();
		if ("es".equalsIgnoreCase(idioma)) {
			return this.tipoParticipanteCastellano;
		} else {
			return this.tipoParticipanteEuskera;
		}
	}

	public List<DatosTerceros> getListaDatosTerceros() {
		return listaDatosTerceros;
	}

	public void setListaDatosTerceros(List<DatosTerceros> listaDatosTerceros) {
		this.listaDatosTerceros = listaDatosTerceros;
	}

	public String getTipoParticipacionCastellano() {
		return tipoParticipacionCastellano;
	}

	public void setTipoParticipacionCastellano(String tipoParticipacionCastellano) {
		this.tipoParticipacionCastellano = tipoParticipacionCastellano;
	}

	public String getTipoParticipacionEuskera() {
		return tipoParticipacionEuskera;
	}

	public void setTipoParticipacionEuskera(String tipoParticipacionEuskera) {
		this.tipoParticipacionEuskera = tipoParticipacionEuskera;
	}

	public String getSubtipoParticipacionCastellano() {
		return subtipoParticipacionCastellano;
	}

	public void setSubtipoParticipacionCastellano(String subtipoParticipacionCastellano) {
		this.subtipoParticipacionCastellano = subtipoParticipacionCastellano;
	}

	public String getSubtipoParticipacionEuskera() {
		return subtipoParticipacionEuskera;
	}

	public void setSubtipoParticipacionEuskera(String subtipoParticipacionEuskera) {
		this.subtipoParticipacionEuskera = subtipoParticipacionEuskera;
	}

	public Long getIdTipoParticipacion() {
		return idTipoParticipacion;
	}

	public void setIdTipoParticipacion(Long idTipoParticipacion) {
		this.idTipoParticipacion = idTipoParticipacion;
	}

	public Integer getIdSubtipoParticipacion() {
		return idSubtipoParticipacion;
	}

	public void setIdSubtipoParticipacion(Integer idSubtipoParticipacion) {
		this.idSubtipoParticipacion = idSubtipoParticipacion;
	}

	public SubtipoTercero getSubtipoTercero() {
		return subtipoTercero;
	}

	public void setSubtipoTercero(SubtipoTercero subtipoTercero) {
		this.subtipoTercero = subtipoTercero;
	}

	public List<Long> getListIdSubtipoTercero() {
		return listIdSubtipoTercero;
	}

	public List<String> getListParticipantId() {
		return listParticipantId;
	}

	public void setListIdSubtipoTercero(List<Long> listIdSubtipoTercero) {
		this.listIdSubtipoTercero = listIdSubtipoTercero;
	}

	public void setListParticipantId(List<String> listParticipantId) {
		this.listParticipantId = listParticipantId;
	}
	
	public String getTipoParticipacionDecorator() {
		String idioma = LocaleContextHolder.getLocale().getLanguage();
		if ("es".equalsIgnoreCase(idioma)) {
			return this.tipoParticipacionCastellano;
		} else {
			return this.tipoParticipacionEuskera;
		}
	}
	
	public String getSubTipoParticipacionDecorator() {
		String idioma = LocaleContextHolder.getLocale().getLanguage();
		if ("es".equalsIgnoreCase(idioma)) {
			return this.subtipoParticipacionCastellano;
		} else {
			return this.subtipoParticipacionEuskera;
		}
	}

}
